<?php

/**
 * @copyright 2024 Double Bastion LLC <www.doublebastion.com>
 *
 * @author Double Bastion LLC
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

session_start();

define('ACCESSCONST', TRUE);


if (($_SESSION['loggedtorspanel'] == true) && ($_SESSION['userrole'] == 'superadmin')) {

     require('db-connect.php');

     // Delete component data from the database
     if (isset($_POST['database_id'])) {

         $database_ID = $_POST['database_id'];

         try {
              $query = $mysqli->prepare("DELETE FROM components WHERE id=?");
              $query->bind_param("i", $database_ID);
              $query->execute();
              $query->close();
              $messagedelcom = "The component has been removed successfully !";

         } catch(mysqli_sql_exception $e) {
                 $messagedelcom = "An error occurred when removing the component !";
           }
     }

     $compresponse = array(
        'messagedelcom' => $messagedelcom
     );

     echo json_encode($compresponse);


} elseif (empty($_SESSION['loggedtorspanel'])) {

      header("Location: panel-login.php");

} elseif (($_SESSION['loggedtorspanel'] == true) && ($_SESSION['userrole'] != 'superadmin'))  {

      header("Location: index.php");
}

?>
